/* public/assets/css/style.css */

body {
    background-color: #000000;
    color: #ffffff;
    font-family: 'Outfit', sans-serif;
}

.no-scrollbar::-webkit-scrollbar {
    display: none;
}

.text-brand-gold {
    --tw-text-opacity: 1;
    color: #ffd651 !important;
}

.no-scrollbar {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

/* Hero Slider Styles */
.slider-overlay {
    opacity: 0;
    transition: opacity 2s ease-in-out, transform 8s ease-in-out;
    transform: scale(1);
    z-index: 1;
}

.slider-overlay.active {
    opacity: 1;
    transform: scale(1.1);
}

/* Form Input Style */
.custom-input {
    background: transparent;
    border-bottom: 1px solid #333;
    color: white;
    padding: 12px 0;
    width: 100%;
    outline: none;
    transition: border-color 0.3s;
    font-size: 0.95rem;
}

.custom-input:focus {
    border-color: #D4AF37;
}

.custom-input::placeholder {
    color: #666;
}

/* Mobile Menu Transition */
#mobile-menu {
    transition: opacity 0.3s ease-in-out, visibility 0.3s;
}

#mobile-menu.hidden-menu {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

#mobile-menu.active-menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}